<?php

/**
 * @file countdown.api.php
 * Hooks and callbacks provided by the Countdown module.
 */

/**
 * @addtogroup callbacks
 * @{
 */

/**
 * Builds the render array for displaying a countdown.
 *
 * This should be implemented by countdown plugins.
 *
 * @param $plugin
 *  The plugin definition. Use $plugin['path'] to add JS files specific to the
 *  countdown plugin.
 * @param $countdown_options
 *  The array of options for the countdown. These are mostly taken directly
 *  from the countdown box plugin. The array elements are as follows:
 *    - 'countdown_target': The target date of the countdown, in the format
 *      'YYYY-MM-DD HH:MM', given in the site's timezone.
 *    - 'countdown_target_offset': The timezone offset of the target date.
 *    - 'countdown_target_timestamp': The target date of the countdown, as a
 *      unix timestamp.
 *    - 'countdown_elements': An array of date granularity names, as used by
 *      date_granularity_names(). Elements whose value is non-empty are those
 *      requested.
 *    - 'event_name': A sanitized string representing the name of the event.
 *    - 'event_description': A sanitized string giving a description of the
 *      event.
 *    - 'css_id': A unique ID which may be used to create a unique CSS id.
 *
 * @return
 *  A build array.
 */
function callback_countdown_countdown_build($plugin, $countdown_options) {

}
